backend:
    name: gitlab
    repo: tmauto/tmautoexclusive # Remplace par ton chemin de repo GitLab
    branch: main
    auth_type: pkce
    app_id: d2e4c5c53583f5c295a8510617bb890bb482fabf944a3eba5334037420cae65e

media_folder: 'public/uploads'
public_folder: '/uploads'

collections:
    - name: 'i18n_fr'
      label: 'Traductions Français'
      files:
          - label: 'fr.json'
            name: 'fr'
            file: 'src/i18n/fr.json'
            format: 'json'
            fields:
                - label: 'Components'
                  name: 'components'
                  widget: 'object'
                  fields:
                      - label: 'Header'
                        name: 'header'
                        widget: 'object'
                        fields:
                            - {label: 'Models', name: 'models', widget: 'string'}
                            - {label: 'Services', name: 'services', widget: 'string'}
                            - {label: 'About', name: 'about', widget: 'string'}
                            - {label: 'Contact', name: 'contact', widget: 'string'}
                            - {label: 'Reviews', name: 'reviews', widget: 'string'}

                      - label: 'Footer'
                        name: 'footer'
                        widget: 'object'
                        fields:
                            - {label: 'Find Us', name: 'findUs', widget: 'string'}
                            - {label: 'To Sell', name: 'toSell', widget: 'string'}
                            - {label: 'Sold', name: 'sold', widget: 'string'}
                            - {label: 'Sales Depot', name: 'salesDepot', widget: 'string'}
                            - {label: 'Personal Search', name: 'personalSearch', widget: 'string'}
                            - {label: 'Leasing', name: 'leasing', widget: 'string'}
                            - {label: 'Garage', name: 'garage', widget: 'string'}
                            - {label: 'Buy Back', name: 'buyBack', widget: 'string'}
                            - {label: 'Gray Card', name: 'grayCard', widget: 'string'}
                            - {label: 'Concierge', name: 'concierge', widget: 'string'}

                - label: 'Pages'
                  name: 'pages'
                  widget: 'object'
                  fields:
                      - label: 'Home'
                        name: 'home'
                        widget: 'object'
                        fields:
                            - {label: 'Title', name: 'title', widget: 'string'}
                            - {label: 'Description', name: 'description', widget: 'text'}
                            - {label: 'Models Text', name: 'modelsText', widget: 'text'}
                            - {label: 'See Our Stock', name: 'seeOurStock', widget: 'string'}
                            - {label: 'Team', name: 'team', widget: 'string'}
                            - {label: 'HTML Title', name: 'htmlTitle', widget: 'string'}
                            - {label: 'HTML Description', name: 'htmlDescription', widget: 'text'}
                            - {label: 'HTML Keywords', name: 'htmlKeywords', widget: 'text'}
                            - {label: 'Models Img Alt', name: 'modelsImgAlt', widget: 'string'}

                      - label: 'Services'
                        name: 'services'
                        widget: 'object'
                        collapsed: true
                        fields:
                            - {label: 'Sales Depot Description 1', name: 'salesDepotDescription1', widget: 'text'}
                            - {label: 'Sales Depot Description 2', name: 'salesDepotDescription2', widget: 'text'}
                            - {label: 'Sales Depot Description 3', name: 'salesDepotDescription3', widget: 'text'}
                            - label: 'Sales Depot'
                              name: 'salesDepot'
                              widget: 'object'
                              fields:
                                  - {label: 'Button', name: 'button', widget: 'string'}

                            - {label: 'Personal Search Description 1', name: 'personalSearchDescription1', widget: 'text'}
                            - {label: 'Personal Search Description 2', name: 'personalSearchDescription2', widget: 'text'}
                            - {label: 'Personal Search Description 3', name: 'personalSearchDescription3', widget: 'text'}
                            - label: 'Personal Search'
                              name: 'personalSearch'
                              widget: 'object'
                              fields:
                                  - {label: 'Button', name: 'button', widget: 'string'}

                            - {label: 'Lease Description 1', name: 'leaseDescription1', widget: 'text'}
                            - {label: 'Lease Description 2', name: 'leaseDescription2', widget: 'text'}
                            - {label: 'Lease Description 3', name: 'leaseDescription3', widget: 'text'}
                            - {label: 'Lease Description 4', name: 'leaseDescription4', widget: 'text'}
                            - label: 'Lease'
                              name: 'lease'
                              widget: 'object'
                              fields:
                                  - {label: 'Button', name: 'button', widget: 'string'}

                            - {label: 'Buy Back Description 1', name: 'buyBackDescription1', widget: 'text'}
                            - {label: 'Buy Back Description 2', name: 'buyBackDescription2', widget: 'text'}
                            - {label: 'Buy Back Description 3', name: 'buyBackDescription3', widget: 'text'}
                            - label: 'Buy Back'
                              name: 'buyBack'
                              widget: 'object'
                              fields:
                                  - {label: 'Button', name: 'button', widget: 'string'}

                            - {label: 'Garage Description 1', name: 'garageDescription1', widget: 'text'}
                            - {label: 'Garage Description 2', name: 'garageDescription2', widget: 'text'}
                            - {label: 'Garage Description 3', name: 'garageDescription3', widget: 'text'}
                            - label: 'Garage'
                              name: 'garage'
                              widget: 'object'
                              fields:
                                  - {label: 'Button', name: 'button', widget: 'string'}

                            - {label: 'Gray Card Description 1', name: 'grayCardDescription1', widget: 'text'}
                            - {label: 'Gray Card Description 2', name: 'grayCardDescription2', widget: 'text'}
                            - label: 'Gray Card'
                              name: 'grayCard'
                              widget: 'object'
                              fields:
                                  - {label: 'Button', name: 'button', widget: 'string'}

                            - {label: 'Concierge Description 1', name: 'conciergeDescription1', widget: 'text'}
                            - {label: 'Concierge Description 2', name: 'conciergeDescription2', widget: 'text'}
                            - {label: 'Concierge Description 3', name: 'conciergeDescription3', widget: 'text'}
                            - label: 'Concierge'
                              name: 'concierge'
                              widget: 'object'
                              fields:
                                  - {label: 'Button', name: 'button', widget: 'string'}
                            - {label: 'Description', name: 'description', widget: 'text'}
                            - {label: 'Keywords', name: 'keywords', widget: 'text'}

                      - label: 'About'
                        name: 'about'
                        widget: 'object'
                        fields:
                            - {label: 'Fundamentals 1', name: 'fundamentals1', widget: 'text'}
                            - {label: 'Fundamentals 2', name: 'fundamentals2', widget: 'text'}
                            - {label: 'Fundamentals Last', name: 'fundamentalsLast', widget: 'text'}
                            - {label: 'Fundamentals 3', name: 'fundamentals3', widget: 'text'}
                            - {label: 'Expert 1', name: 'expert1', widget: 'text'}
                            - {label: 'Expert 2', name: 'expert2', widget: 'text'}
                            - {label: 'Expert List 1', name: 'expertList1', widget: 'string'}
                            - {label: 'Expert', name: 'expert', widget: 'string'}
                            - {label: 'Expert List 2', name: 'expertList2', widget: 'string'}
                            - {label: 'Partners', name: 'partners', widget: 'string'}
                            - {label: 'Expert List 3', name: 'expertList3', widget: 'string'}
                            - {label: 'Fundamentals', name: 'fundamentals', widget: 'string'}
                            - {label: 'Project 1', name: 'project1', widget: 'text'}
                            - {label: 'Project 2', name: 'project2', widget: 'text'}
                            - {label: 'Description About', name: 'description', widget: 'string'}
                            - {label: 'Keywords About', name: 'keywords', widget: 'string'}
                            - {label: 'Project', name: 'project', widget: 'string'}

                      - label: 'Contact'
                        name: 'contact'
                        widget: 'object'
                        fields:
                            - {label: 'Last Name', name: 'lastName', widget: 'string'}
                            - {label: 'Time Description 1', name: 'timeDescription1', widget: 'string'}
                            - {label: 'Time Description 2', name: 'timeDescription2', widget: 'string'}
                            - {label: 'Time Description 3', name: 'timeDescription3', widget: 'string'}
                            - {label: 'Rapid Contact', name: 'rapidContact', widget: 'string'}
                            - {label: 'Message', name: 'message', widget: 'string'}
                            - {label: 'Send', name: 'send', widget: 'string'}
                            - {label: 'Time', name: 'time', widget: 'string'}
                            - {label: 'Phone', name: 'phone', widget: 'string'}
                            - {label: 'HTML Description', name: 'htmlDescription', widget: 'text'}
                            - {label: 'Address', name: 'address', widget: 'string'}
                            - {label: 'HTML Keywords', name: 'htmlKeywords', widget: 'text'}
                            - {label: 'Mail', name: 'mail', widget: 'string'}
                            - {label: 'Title', name: 'title', widget: 'string'}
                            - {label: 'Tel', name: 'tel', widget: 'string'}
                            - {label: 'First Name', name: 'firstName', widget: 'string'}
                            - {label: 'Coordinates', name: 'coordinates', widget: 'string'}
                            - {label: 'Email', name: 'email', widget: 'string'}
                            - {label: 'Address 2', name: 'address2', widget: 'string'}

                      - label: 'Models'
                        name: 'models'
                        widget: 'object'
                        fields:
                            - label: 'Description'
                              name: 'description'
                              widget: 'text'
                            - label: 'Keywords'
                              name: 'keywords'
                              widget: 'text'
                            - label: Html Description Models
                              name: htmlDescription
                              widget: string
                            - label: Html Keywords Models
                              name: htmlKeywords
                              widget: string

                      - label: 'Privacy Policy'
                        name: 'privacyPolicy'
                        widget: 'object'
                        fields:
                            - label: 'Html Description'
                              name: 'description'
                              widget: 'text'
                            - label: Html Keywords Privacy Policy
                              name: keywords
                              widget: string

                - label: 'Modale'
                  name: 'modale'
                  widget: 'object'
                  fields:
                      - label: 'Critere'
                        name: 'critere'
                        widget: 'object'
                        fields:
                            - {label: 'Title 1', name: 'title1', widget: 'string'}
                            - {label: 'Title 2', name: 'title2', widget: 'string'}
                            - {label: 'Brand', name: 'brand', widget: 'string'}
                            - {label: 'Model', name: 'model', widget: 'string'}
                            - {label: 'Finition', name: 'finition', widget: 'string'}
                            - {label: 'Fuel', name: 'fuel', widget: 'string'}
                            - {label: 'Max Km', name: 'maxKm', widget: 'string'}
                            - {label: 'Min Year', name: 'minYear', widget: 'string'}
                            - {label: 'Gear Box', name: 'gearBox', widget: 'string'}
                            - {label: 'Budget', name: 'budget', widget: 'string'}
                            - {label: 'Other Demand', name: 'otherDemand', widget: 'string'}

                - label: 'Vehicle'
                  name: 'vehicle'
                  widget: 'object'
                  fields:
                      - label: 'Gearbox'
                        name: 'gearbox'
                        widget: 'object'
                        fields:
                            - {label: 'Automatic', name: 'automatic', widget: 'string'}
                            - {label: 'Manual', name: 'manual', widget: 'string'}
                            - {label: 'Sequential', name: 'sequential', widget: 'string'}

                      - label: 'Fuel'
                        name: 'fuel'
                        widget: 'object'
                        fields:
                            - {label: 'Essence SP', name: 'essenceSP', widget: 'string'}
                            - {label: 'Hybrid', name: 'hybrid', widget: 'string'}

                      - {label: 'See More Photos', name: 'seeMorePhotos', widget: 'string'}
